﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64      = 'https://gitlab.com/librewolf-community/browser/windows/uploads/42c12536cfbbbc376c51d6597de7f675/librewolf-108.0-1.en-US.win64-setup.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url64bit      = $url64

  softwareName  = 'LibreWolf'

  checksum64    = 'a0512edc59ae31b702dd30af0ee384e1a1335f054055fceab79af64394966f9c'
  checksumType64= 'sha256'

  silentArgs   = '/S'
  validExitCodes= @(0)
}

try {
  Install-ChocolateyPackage @packageArgs
} catch  {
  if($_.Exception.Message -match "Exit code was '2'") {
    throw "The installer exited with code 2. This means LibreWolf is probably still running. Close LibreWolf and try again."
  } else {
    throw $_.Exception
  }
}